<section class="campaign-details-analysis-section">
  <h3 class="campaign-details-analysis campaign-details-analysis__header">{{t "pages.campaign-review.sub-title"}}</h3>
  <p class="campaign-details-analysis campaign-details-analysis__text">
    {{this.description}}
  </p>

  <table
    class="panel panel--light-shadow content-text content-text--small campaign-details-analysis__table"
    aria-label={{t "pages.campaign-review.table.analysis.title"}}
  >
    <caption class="screen-reader-only">{{t "pages.campaign-review.table.analysis.caption"}}</caption>
    <thead>
      <tr>
        <Table::Header @size="wide">{{t
            "pages.campaign-review.table.analysis.column.subjects"
            count=this.sortedRecommendations.length
          }}
        </Table::Header>
        <Table::HeaderSort
          @size="small"
          @align="center"
          @onSort={{this.sortRecommendationOrder}}
          @isDisabled={{not @displayAnalysis}}
          @ariaLabelDefaultSort={{t "pages.campaign-review.table.analysis.column.relevance.ariaLabelDefaultSort"}}
          @ariaLabelSortUp={{t "pages.campaign-review.table.analysis.column.relevance.ariaLabelSortUp"}}
          @ariaLabelSortDown={{t "pages.campaign-review.table.analysis.column.relevance.ariaLabelSortDown"}}
        >
          {{t "pages.campaign-review.table.analysis.column.relevance.label"}}
        </Table::HeaderSort>
        <Table::Header
          @size="small"
          @align="center"
          aria-label="{{t 'pages.campaign-review.table.analysis.column.tutorial-count.aria-label'}}"
        />
        <Table::Header @size="small" />
      </tr>
    </thead>

    {{#if @displayAnalysis}}
      <tbody>
        {{#each this.sortedRecommendations as |tubeRecommendation|}}
          <Campaign::Analysis::TubeRecommendationRow @tubeRecommendation={{tubeRecommendation}} />
        {{/each}}
      </tbody>
    {{/if}}
  </table>
  {{#unless @displayAnalysis}}
    <div class="table__empty content-text">{{t "pages.campaign-review.table.empty"}}</div>
  {{/unless}}
</section>